Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class LegacyInstaller

    java.lang.Object
      |
      +--org.jboss.deployment.LegacyInstaller

All Implemented Interfaces:
  Installer

public class LegacyInstaller
extends java.lang.Object
implements Installer

A class intended to encapsulate the complex task of making an URL that points to an J2ee module an installed Deployment.

Version:
  $Revision: 1.1.2.1 $
Author:
  Daniel Schulze, Scott.Stark@jboss.org

Fields inherited from interface org.jboss.deployment.Installer
`files`

Constructor Summary
`LegacyInstaller()`

Method Summary
`Deployment` | `execute(InstallerFactory factory, java.net.URL src)` performes the complex task of installation
`java.lang.String` | `getWebContext(java.lang.String _url)` Generates a webcontex for the given url

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyInstaller

    public LegacyInstaller()

Method Detail

### execute

    public Deployment execute(InstallerFactory factory,
                              java.net.URL src)
                       throws J2eeDeploymentException,
                              java.io.IOException

  performes the complex task of installation
  Specified by:
    `execute` in interface `Installer`
  Returns:
    the installed Deployment on success
  Throws:
    `J2eeDeploymentException` -
    `java.io.IOException` -

### getWebContext

    public java.lang.String getWebContext(java.lang.String _url)

  Generates a webcontex for the given url
  Parameters:
    `_url` - an URL or something like that

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.